// nova-tourism/components/modal/index.js
Component({
    options:{
        multipleSlots: true // 在组件定义时的选项中启用多slot支持
    },
    /**
     * 组件的属性列表
     */
    properties: {
        show:{
            type: Boolean,
            default: false
        },
        closeable:{
            type: Boolean,
            default: false
        },
        title:{
            type: String,
            default: '标题'
        },
        width:{
            type: String,
            default: '70%'
        },
        height:{
            type: String,
            default: '70vh'
        },
        // content:{
        //     type: String,
        //     default: ''
        // }
    },

    /**
     * 组件的初始数据
     */
    data: {

    },

    /**
     * 组件的方法列表
     */
    methods: {
        close(){
            this.triggerEvent('close')
        },
        enter(){
            this.triggerEvent('enter')

        }
    }
})
